Search results

Getting started with JavaScript Chart control

19 Oct 2022 / 9 minutes to read

This section explains you the steps required to create a simple chart and demonstrate the basic usage of the chart control.

Dependencies

Below is the list of minimum dependencies required to use the Chart.

Copied to clipboard
|-- @syncfusion/ej2-charts
    |-- @syncfusion/ej2-base
    |-- @syncfusion/ej2-data
    |-- @syncfusion/ej2-pdf-export
    |-- @syncfusion/ej2-file-utils
    |-- @syncfusion/ej2-compression
    |-- @syncfusion/ej2-svg-base

Installation and Configuration

  • To get you started with Chart component, you can clone the Essential JS 2 quickstart project and install necessary packages by using the following commands.
Copied to clipboard
git clone https://github.com/syncfusion/ej2-quickstart.git quickstart
cd quickstart
npm install
  • Chart packages need to be mapped in system.config.js configuration file.
Copied to clipboard
System.config({
paths: {
    'syncfusion:': './node_modules/@syncfusion/',
},
map: {
    app: 'app',

    //Syncfusion packages mapping
    "@syncfusion/ej2-base": "syncfusion:ej2-base/dist/ej2-base.umd.min.js",
    "@syncfusion/ej2-data": "syncfusion:ej2-data/dist/ej2-data.umd.min.js",
    "@syncfusion/ej2-charts": "syncfusion:ej2-charts/dist/ej2-charts.umd.min.js",
    "@syncfusion/ej2-popups": "syncfusion:ej2-popups/dist/ej2-popups.umd.min.js",
    "@syncfusion/ej2-buttons": "syncfusion:ej2-buttons/dist/ej2-buttons.umd.min.js",
    "@syncfusion/ej2-pdf-export": "syncfusion:ej2-pdf-export/dist/ej2-pdf-export.umd.min.js",
    "@syncfusion/ej2-file-utils": "syncfusion:ej2-file-utils/dist/ej2-file-utils.umd.min.js",
    "@syncfusion/ej2-compression": "syncfusion:ej2-compression/dist/ej2-compression.umd.min.js",
    "@syncfusion/ej2-navigations": "syncfusion:ej2-navigations/dist/ej2-navigations.umd.min.js",
    "@syncfusion/ej2-calendars": "syncfusion:ej2-calendars/dist/ej2-calendars.umd.min.js",
    "@syncfusion/ej2-lists": "syncfusion:ej2-lists/dist/ej2-lists.umd.min.js",
    "@syncfusion/ej2-inputs": "syncfusion:ej2-inputs/dist/ej2-inputs.umd.min.js",
    "@syncfusion/ej2-svg-base": "syncfusion:ej2-svg-base/dist/ej2-svg-base.umd.min.js",
    "@syncfusion/ej2-splitbuttons": "syncfusion:ej2-splitbuttons/dist/ej2-splitbuttons.umd.min.js"
,
},
packages: {
    'app': { main: 'app', defaultExtension: 'js' }
}
});

The project is preconfigured with common settings (src/styles/styles.css, system.config.js ) to start with all Essential JS 2 components.

Add Chart to the Project

Add the HTML div element for Chart into your index.html. [src/index.html]

Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
<title>EJ2 Animation</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="Typescript UI Controls" />
<meta name="author" content="Syncfusion" />
<link href="index.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
</head>

<body>
 <!--container which is going to render the Chart-->
 <div id='element'>
 </div>
</body>

</html>

Now import the Chart component into your app.ts to instantiate a chart and append the chart instance to the #element [src/app/app.ts]

Copied to clipboard
import { Chart } from '@syncfusion/ej2-charts';

// initialize Chart component
let chart: Chart = new Chart();

// render initialized Chart
chart.appendTo('#element');

Now use the npm run start command to run the application in the browser.

Copied to clipboard
npm run start

The below example shows a basic Chart.

Source
Preview
index.ts
index.html
index.css
Copied to clipboard
import { Chart } from '@syncfusion/ej2-charts';

let chart: Chart = new Chart();

chart.appendTo('#element');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript UI Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div id='element'></div>
    </div>
</body>

</html>
Copied to clipboard
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

#element {
    display: block;
    height: 350px;
}

Module Injection

Chart component are segregated into individual feature-wise modules. In order to use a particular feature, you need to inject its feature module using Chart.Inject() method. In the current application, we are going to modify the above basic chart to visualize sales data for a particular year. For this application we are going to use line series, tooltip, data label, category axis and legend feature of the chart. Please find relevant feature module name and description as follows.

  • LineSeries - Inject this provider to use line series.
  • Legend - Inject this provider to use legend feature.
  • Tooltip - Inject this provider to use tooltip feature.
  • DataLabel - Inject this provider to use data label feature.
  • Category - Inject this provider to use category feature.

Now import the above mentioned modules from chart package and inject it into the Chart component using Chart.Inject method.

Copied to clipboard
import { Chart, LineSeries, Legend, Category, Tooltip } from '@syncfusion/ej2-charts';
Chart.Inject(LineSeries, Legend, DataLabel, Tooltip, Category);

Populate Chart With Data

This section explains how to plot below JSON data to the chart.

Copied to clipboard
let chartData: any[] = [
  { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
  { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
  { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
  { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
  { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
  { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
];

Add a series object to the chart by using series property. Now map the field names month and sales in the JSON data to the xName and yName properties of the series, then set the JSON data to dataSource property.

Since the JSON contains category data, set the valueType for horizontal axis to Category. By default, the axis valueType is Numeric.

Source
Preview
index.ts
index.html
Copied to clipboard
import { Chart, LineSeries, Category } from '@syncfusion/ej2-charts';
Chart.Inject(LineSeries, Category);
let chartData: any[] = [
  { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
  { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
  { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
  { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
  { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
  { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
];
let chart: Chart = new Chart({
primaryXAxis: {
    valueType: 'Category'
},
series:[{
    // dataSource for chart series
    dataSource: chartData,
    xName: 'month',
    yName: 'sales',
    type: 'Line'
}]
}, '#element');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript UI Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div id='element'></div>
    </div>
</body>

</html>

The sales data are in thousands, so format the vertical axis label by adding `

Getting Started

This section explains you the steps required to create a simple chart and demonstrate the basic usage of the chart control.

Dependencies

Below is the list of minimum dependencies required to use the Chart.

Copied to clipboard
|-- @syncfusion/ej2-charts
    |-- @syncfusion/ej2-base
    |-- @syncfusion/ej2-data
    |-- @syncfusion/ej2-pdf-export
    |-- @syncfusion/ej2-file-utils
    |-- @syncfusion/ej2-compression
    |-- @syncfusion/ej2-svg-base

Installation and Configuration

as a prefix and K as a suffix to each label. This can be achieved by setting the ${value}K to the labelFormat property of axis. Here, {value} act as a placeholder for each axis label.

Source
Preview
index.ts
index.html
Copied to clipboard
import { Chart, LineSeries, Category } from '@syncfusion/ej2-charts';
Chart.Inject(LineSeries, Category);
let chartData: any[] = [
  { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
  { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
  { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
  { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
  { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
  { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
];
let chart: Chart = new Chart({
primaryXAxis: {
    valueType: 'Category',
},
primaryYAxis: {
    // label format for axis
    labelFormat: '${value}K'
},
series:[{
    dataSource: chartData,
    xName: 'month',
    yName: 'sales',
    type: 'Line'
}]
}, '#element');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript UI Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div id='element'></div>
    </div>
</body>

</html>

Add Chart Title

You can add a title using title property to the chart to provide quick information to the user about the data plotted in the chart.

Source
Preview
index.ts
index.html
Copied to clipboard
import { Chart, LineSeries } from '@syncfusion/ej2-charts';
import { Legend, Category, Tooltip } from '@syncfusion/ej2-charts';
Chart.Inject(LineSeries, Legend, Category, Tooltip);
let chartData: any[] = [
  { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
  { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
  { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
  { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
  { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
  { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
];
let chart: Chart = new Chart({
// Title for chart
title: 'Sales Analysis'
primaryXAxis: {
    valueType: 'Category',
    title: 'Month'
},
primaryYAxis: {
    labelFormat: '${value}K'
},
series:[{
    dataSource: chartData,
    name:'Sales',
    xName: 'month',
    yName: 'sales',
    type: 'Line'
}],
}, '#element');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript UI Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div id='element'></div>
    </div>
</body>

</html>

Enable Legend

You can use legend for the chart by setting the visible property to true in legendSettings object and by injecting the Legend module using Chart.Inject(Legend) method.

Source
Preview
index.ts
index.html
Copied to clipboard
import { Chart, LineSeries, Category } from '@syncfusion/ej2-charts';
import { Legend } from '@syncfusion/ej2-charts';
Chart.Inject(LineSeries, Legend, Category);
let chartData: any[] = [
  { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
  { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
  { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
  { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
  { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
  { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
];
let chart: Chart = new Chart({
// Legend for chart
legendSettings: {
    visible: true
},
primaryXAxis: {
    valueType: 'Category',
},
primaryYAxis: {
    labelFormat: '${value}K'
},
series:[{
    dataSource: chartData,
    name:'Sales',
    xName: 'month',
    yName: 'sales',
    type: 'Line'
}],
title: 'Sales Analysis'
}, '#element');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript UI Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div id='element'></div>
    </div>
</body>

</html>

Add Data Label

You can add data labels to improve the readability of the chart. This can be achieved by setting the visible property to true in the dataLabel object and by injecting DataLabel module using Chart.Inject(DataLabel) method. Now, the data labels are arranged smartly based on series.

Source
Preview
index.ts
index.html
Copied to clipboard
import { Chart, LineSeries, Category } from '@syncfusion/ej2-charts';
import { DataLabel, Legend } from '@syncfusion/ej2-charts';
Chart.Inject(LineSeries, DataLabel, Category, Legend);
let chartData: any[] = [
  { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
  { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
  { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
  { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
  { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
  { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
];
let chart: Chart = new Chart({
primaryXAxis: {
    valueType: 'Category',
},
primaryYAxis: {
    labelFormat: '${value}K'
},
series:[{
    dataSource: chartData,
    xName: 'month',
    name:'Sales',
    yName: 'sales',
    type: 'Line',
    marker: {
        // Data label for chart series
        dataLabel: {
            visible: true
        }
    }
}],
legendSettings: {visible: true},
title: 'Sales Analysis'
}, '#element');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript UI Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div id='element'></div>
    </div>
</body>

</html>

Enable Tooltip

The tooltip is useful when you cannot display information by using the data labels due to space constraints. You can enable tooltip by setting the enable property as true in tooltip object and by injecting Tooltip module using Chart.Inject(Tooltip) method.

Source
Preview
index.ts
index.html
Copied to clipboard
import { Chart, LineSeries, Tooltip } from '@syncfusion/ej2-charts';
import { Legend, Category, DataLabel } from '@syncfusion/ej2-charts';
Chart.Inject(LineSeries, Legend, Category, Tooltip, DataLabel);
let chartData: any[] = [
  { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
  { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
  { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
  { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
  { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
  { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
];
let chart: Chart = new Chart({
// Tooltip for chart
tooltip: {
    enable: true
},
primaryXAxis: {
    valueType: 'Category',
},
primaryYAxis: {
    labelFormat: '${value}K'
},
   series:[{
    dataSource: chartData,
    name:'Sales',
    xName: 'month',
    yName: 'sales',
    type: 'Line',
    marker: {
        // Data label for chart series
        dataLabel: {
            visible: true
        }
    }
}],
legendSettings: {visible: true},
title: 'Sales Analysis'
}, '#element');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript UI Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div id='element'></div>
    </div>
</body>

</html>

You can refer to our JavaScript Charts feature tour page for its groundbreaking feature representations. You can also explore our JavaScript Charts example that shows various chart types and how to represent time-dependent data, showing trends in data at equal intervals.

Getting Started with Angular Chart Component

1 Jul 20267 minutes to read

This section explains the steps required to create a simple chart and demonstrates the basic usage of the Angular Charts component.

Ready to streamline your Syncfusion® Angular development? Discover the full potential of Angular Components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant

To get started quickly with Angular Chart using CLI and Schematics, view the following video:

Prerequisites

Before getting started, ensure that your development environment meets the system requirements for Syncfusion® Angular UI components.

Before You Begin

This guide uses the standalone application structure generated by the latest Angular CLI.

The main files used in this guide are:

  • src/app/app.ts — Defines the root standalone component.
  • src/index.html — Contains the Angular root element.

NOTE

In newer Angular CLI standalone projects, the root component may be generated as src/app/app.ts. In NgModule-based Angular projects, the equivalent file is typically src/app/app.component.ts.

NOTE

If your application uses an older NgModule-based structure, import ChartModule in the application module, such as app.module.ts, instead of adding it to the standalone component imports collection.

Step 1: Create a Project Folder

Create a folder named my-project in your desired location. This folder will contain your Syncfusion Chart Angular project.

Step 2: Set up the Angular environment

Start by opening your project in the terminal on your system (Command Prompt, PowerShell, or Terminal).

Use Angular CLI to create and manage Angular applications. Install Angular CLI globally using the following command:

npm install -g @angular/cli

Step 3: Create an Angular application

Create a new Angular application using the following command.

ng new my-chart-app

During project creation, Angular CLI may prompt you to choose stylesheet, SSR/SSG, and AI tool configuration options. For this basic Chart sample, you can use the following options:

  • Stylesheet system: Choose any option. This guide uses CSS for simplicity and applies the Syncfusion® Tailwind 3 theme through CSS imports.
  • SSR and SSG/Pre-rendering: Select No.
  • AI tools configuration: Select None.

Navigate to the project folder:

cd my-chart-app

Step 4: Install the Syncfusion® Angular Chart package

All Syncfusion Essential® JS 2 packages are available in the npmjs.com registry.

Install the Angular Chart package using the following command:

npm install @syncfusion/ej2-angular-charts --save

NOTE

Installing @syncfusion/ej2-angular-charts automatically installs the required dependency packages.

Step 5: Register the Chart module and add the component

Import ChartModule from @syncfusion/ej2-angular-charts and add it to the imports collection of the standalone component. Then, add the Angular Chart component using the <ejs-chart> selector in the component template.

Update the src/app/app.ts file as follows:

import { Component } from '@angular/core';
import { ChartModule } from '@syncfusion/ej2-angular-charts';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [ChartModule],
  providers: [],
  template: `<ejs-chart id='chart-container'></ejs-chart>`
})
export class App {}

This renders an empty chart in the application.

NOTE

The component selector must match the root element used in the src/index.html file. Angular CLI commonly uses <app-root></app-root>, so this example uses selector: 'app-root'.

Step 6: Create your first Chart with data source and series type

This section explains how to create a simple chart by binding data, configuring the axis, and rendering a series using Angular Chart components.

The following example demonstrates how to visualize monthly sales data using a line chart. It also shows how to configure the horizontal axis and map data fields using the primaryXAxis, dataSource, xName, and yName properties.

Update the src/app/app.ts file as follows:

import { Component, OnInit } from '@angular/core';
import { ChartModule, CategoryService, LineSeriesService } from '@syncfusion/ej2-angular-charts';

@Component({
    selector: 'app-root',
    standalone: true,
    imports: [ChartModule],
    providers: [CategoryService, LineSeriesService],
    template: `
        <ejs-chart 
            id="chart-container" 
            [primaryXAxis]='primaryXAxis' 
        >
            <e-series-collection>
                <e-series 
                    [dataSource]='chartData' 
                    type='Line' 
                    xName='month' 
                    yName='sales'
                >
                </e-series>
            </e-series-collection>
        </ejs-chart>
    `
})
export class App implements OnInit {
    public primaryXAxis?: Object;
    public chartData?: Object[];
    ngOnInit(): void {
        this.chartData = [
            { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
            { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
            { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
            { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
            { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
            { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
        ];
        this.primaryXAxis = {
            valueType: 'Category'
        };
    }
}

In this example:

  • primaryXAxis defines the configuration of the horizontal axis.
  • dataSource provides the JSON data used to render the chart.
  • type specifies the chart series type, such as Line, Column, or Bar.
  • xName maps the category field (for example, month) from the data source to the x-axis.
  • yName maps the data field (for example, sales) from the data source to the y-axis.
  • [<e-series-collection>] and [<e-series>] directives are used to define and render one or more series in the chart.

Step 7: Run the application

Run the application using the following command:

npm start

Open the generated local URL (for example, http://localhost:4200/) from terminal in the browser. The application displays the chart as shown below:

Getting started

NOTE

Looking for the full Angular Charts component overview, features, pricing, and documentation? Visit the Angular Charts page.

Getting Started with the React Chart Component

1 Aug 202612 minutes to read

This section explains how to create a simple Chart component.

Ready to streamline your Syncfusion® React development? Discover the full potential of Syncfusion® React components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant

A quick video overview of the React Charts setup is available:

Prerequisites

Before getting started, ensure that your development environment meets the system requirements for Syncfusion React UI components. That page documents the supported React, Node.js, and npm versions, and includes the React-version compatibility table for Syncfusion React components.

Before You Begin

This guide uses the React application structure generated by Vite with the TypeScript template. The following files are part of that scaffold and work together as follows:

  • src/App.tsx — Defines the root React component that hosts the Chart component. This is the only file edited in this guide.
  • src/main.tsx — Application entry point that renders App into the #root element defined in index.html.
  • index.html — Root HTML file that contains the #root container element used to mount the React application.

Note: In a Vite React TypeScript application, the root component is commonly generated as src/App.tsx. If your application uses JavaScript, the equivalent file is typically src/App.jsx.

Note: This guide uses the TypeScript template for better type checking with Chart models.

Installation and configuration

Note: As an alternative, you can create a React application using create-react-app. For detailed instructions, refer to this documentation.

Step 1: Create a React application with Vite

Use Vite to create and manage React applications. Vite provides a fast development environment and optimized builds for modern React applications. Syncfusion® React documentation also recommends Vite for setting up React applications.

Start by opening a terminal on your system (Command Prompt, PowerShell, or Terminal). You may work from the default C: drive location or create a new folder and open the terminal in it.

Step 2: Create a React application

Create a new React application using the below command.

npm create vite@latest my-chart-app -- --template react-ts

If Vite prompts you to install dependencies and start the project immediately, choose No. The Syncfusion package is installed in a later step.

Navigate to the project folder:

cd my-chart-app

Install the application dependencies:

npm install

Note: If you prefer JavaScript instead of TypeScript, create the application using npm create vite@latest my-chart-app -- --template react.

Step 3: Install the Syncfusion® React Chart package

All Syncfusion Essential® JS 2 packages are published to the npm registry.

Install the React Chart package using the following command:

npm install @syncfusion/ej2-react-charts

Installing @syncfusion/ej2-react-charts automatically pulls in the required peer dependencies (for example, @syncfusion/ej2-base and @syncfusion/ej2-charts).

After the install completes, run npm install once more if the package is not yet listed in package.json. Then open the project in your IDE to continue with the next step.

Step 4: Add the Chart component to the project

Add the Chart component to src/App.tsx using the following code.

import { ChartComponent } from '@syncfusion/ej2-react-charts';
function App() {
  return (<ChartComponent />);
}
export default App;

Note: Running npm run dev (Step 7) at this point renders an empty chart area. Continue with the next steps to inject modules, add data, and configure a series so the chart can render the data.

Step 5: Inject required modules

Chart features are delivered as separate modules and must be explicitly injected. The Inject component takes a services array that registers the modules the Chart component is allowed to use; injecting only the modules you need keeps the bundle small. Here, the LineSeries and Category modules are used to render monthly sales data:

  • LineSeries — Inject this module into services to render a line series.
  • Category — Inject this module into services to enable the category axis.

Import the modules from the Chart package and register them through the Inject component as follows.

import { ChartComponent, LineSeries, Category, Inject } from '@syncfusion/ej2-react-charts';
function App() {
    return <ChartComponent>
    <Inject services={[LineSeries, Category]}/>
  </ChartComponent>;
}
export default App;

Note: At this stage, no series are rendered because the Chart component has not yet been configured with a data source.

Step 6: Populate the Chart with data

Chart data should be provided as a JSON array in the following format. You can define the data in the same src/App.tsx file or place it in a separate file (for example, src/datasource.ts) and import it into App.tsx.

export const data: Object[] = [
    { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
    { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
    { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
    { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
    { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
    { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
];

After defining the required data set, bind the data to the Chart component in the SeriesDirective tag. The following code snippet demonstrates the complete configuration required to render a basic chart.

import * as React from 'react';
import { createRoot } from 'react-dom/client';
import {
  ChartComponent,
  Inject,
  SeriesCollectionDirective,
  SeriesDirective,
  Category,
  LineSeries,
  Legend,
} from '@syncfusion/ej2-react-charts';

const data = [
  { month: 'Jan', sales: 35 },
  { month: 'Feb', sales: 28 },
  { month: 'Mar', sales: 34 },
  { month: 'Apr', sales: 32 },
  { month: 'May', sales: 40 },
  { month: 'Jun', sales: 32 },
  { month: 'Jul', sales: 35 },
  { month: 'Aug', sales: 55 },
  { month: 'Sep', sales: 38 },
  { month: 'Oct', sales: 30 },
  { month: 'Nov', sales: 25 },
  { month: 'Dec', sales: 32 },
];
const xAxisCategory = { valueType: 'Category' };

function App() {
  return (
    <ChartComponent id="charts" primaryXAxis={xAxisCategory}>
      <Inject services={[LineSeries, Category, Legend]} />
      <SeriesCollectionDirective>
        <SeriesDirective
          dataSource={data}
          xName="month"
          yName="sales"
          name="Sales"
          type="Line"
        />
      </SeriesCollectionDirective>
    </ChartComponent>
  );
}
export default App;
const root = createRoot(document.getElementById('charts'));
root.render(<App />);
import * as React from "react";
import { createRoot } from 'react-dom/client';
import {  ChartComponent, Inject, SeriesCollectionDirective, SeriesDirective, Category, LineSeries } from '@syncfusion/ej2-react-charts';

const data: Object[] = [
    { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
    { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
    { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
    { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
    { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
    { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
];
const xAxisCategory = { valueType: 'Category' };

function App() {
  return <ChartComponent id="charts" primaryXAxis={xAxisCategory}>
    <Inject services={[LineSeries, Category]} />
    <SeriesCollectionDirective>
      <SeriesDirective dataSource={data} xName='month' yName='sales' name='Sales' type='Line'/>
    </SeriesCollectionDirective>
  </ChartComponent>
}
export default App;
const root = createRoot(document.getElementById('charts'));
root.render(<App />);

Step 7: Run the application

Run the application using the following command:

npm run dev

Open the generated local URL (for example, localhost:5173/) from terminal in the browser. The application displays the chart as shown below:

Getting Started

Troubleshooting

Use the following guidance to resolve common issues when getting started with the React Chart component.

  • Chart does not render (blank page)
    • Verify that index.html contains a container with id="root", and that main.tsx (or main.jsx) calls createRoot(document.getElementById("root")!).render(<App />).
    • Run npm install again to ensure all peer dependencies are installed.
  • Chart area renders but no series is displayed
    • Confirm that the required series module (for example, LineSeries or ColumnSeries) and axis module (for example, Category or DateTime) are listed in the services array of the Inject component.
    • Confirm that <SeriesDirective> is wrapped in a <SeriesCollectionDirective> and that dataSource, xName, yName, and type are set.
  • Series data is plotted in the wrong order or with wrong labels
    • Check that the property names passed to xName and yName exactly match the keys in the dataSource array (the comparison is case-sensitive).
    • If the x field holds Date values, set the valueType of primaryXAxis to DateTime; for string categories use Category.
  • Module not found: Can't resolve '@syncfusion/ej2-react-charts'
    • The package was not installed in the current project. Run npm install @syncfusion/ej2-react-charts from the project root.
  • Tooltip, legend, or data label is not visible after enabling it
    • Confirm that the corresponding module (for example, Tooltip, Legend, DataLabel) is included in the services array of the Inject component.

See also

Explore the following related topics:

Getting Started with the Vue Chart Component in Vue 2

23 May 20268 minutes to read

This section provides a step-by-step guide to creating a Vue 2 application using Vue CLI and integrating the Syncfusion® Vue Chart component. It helps users quickly configure a project and render an interactive chart.

Ready to streamline your Syncfusion Vue development?
Discover the full potential of Syncfusion Vue components with the Syncfusion AI Coding Assistant. It simplifies integration, configuration, and feature discovery through intelligent, context-aware code suggestions and is available in popular AI-powered IDEs such as VS Code, Cursor, and Syncfusion CodeStudio.
Explore Syncfusion AI Coding Assistant

To get started quickly with Vue Charts, refer to the following introductory video:

Prerequisites

Ensure that the development environment meets the required criteria listed in System requirements for Syncfusion Vue UI components.

Dependencies

The following are the minimum required dependencies to use the Vue Chart component:

|-- @syncfusion/ej2-vue-charts
  |-- @syncfusion/ej2-base
  |-- @syncfusion/ej2-data
  |-- @syncfusion/ej2-pdf-export
  |-- @syncfusion/ej2-file-utils
  |-- @syncfusion/ej2-compression
  |-- @syncfusion/ej2-charts
  |-- @syncfusion/ej2-vue-base
  |-- @syncfusion/ej2-svg-base

Setting Up the Vue 2 Project

To generate a Vue 2 project using Vue CLI, install Vue CLI globally using either npm or Yarn, and then create a new project with the vue create command:

npm

npm install -g @vue/cli
vue create quickstart
cd quickstart
npm run serve

yarn

yarn global add @vue/cli
vue create quickstart
cd quickstart
yarn run serve

When creating a new project, choose the option Default ([Vue 2] babel, eslint) from the menu.

Vue 2 project

Once the quickstart project is set up with default settings, proceed to add Syncfusion components to the project.

Add Syncfusion Vue Packages

Syncfusion packages are available at npmjs.com. To use Vue components, install the required npm package.

This article uses the Vue Chart component as an example. To use it in the project, install the @syncfusion/ej2-vue-charts package using either npm or Yarn:

npm

npm install @syncfusion/ej2-vue-charts

yarn

yarn add @syncfusion/ej2-vue-charts

Note: npm v5+ saves packages to dependencies by default; --save is not required.

Add Syncfusion Vue Component

Follow the steps below to add the Vue Chart component:

Step 1: Import and register the Chart component in the script section of the src/App.vue file.

<script>
import { ChartComponent } from '@syncfusion/ej2-vue-charts';

export default {
  components: {
    'ejs-chart': ChartComponent
  }
}
</script>

Step 2: In the template section, define the Chart component.

<template>
  <div id="app">
      <ejs-chart id="container"> </ejs-chart>
  </div>
</template>

Here is the summarized code for the above steps in the src/App.vue file:

<template>
  <div id="app">
      <ejs-chart id="container"> </ejs-chart>
  </div>
</template>
<script>
import { ChartComponent } from '@syncfusion/ej2-vue-charts';

export default {
name: "App",
components: {
    'ejs-chart': ChartComponent
  },
  data () {
    return {
    }
  }
}
</script>
<style>
 #container{
   height: 350px;
 }
</style>

Run the Project

To run the project, use either npm or Yarn:

npm

npm run serve

yarn

yarn run serve

Module Injection

In Vue, register the chart’s feature modules using the component’s provide option.

The Chart component is split into feature-specific modules. To enable a specific feature in a Vue 2
application, register the corresponding module(s) in the component’s provide option. The following
example shows the modules used in this guide and their purpose.

  • LineSeries - Register to enable the line series type.
  • Legend - Register to enable the legend feature.
  • Tooltip - Register to enable tooltip support.
  • DataLabel - Register to enable data labels on points.
  • Category - Register to enable category axis support.

Register these modules in the component provide option as shown below (Vue 2):

<script>
import { 
  ChartComponent, 
  LineSeries, 
  Category, 
  Legend, 
  Tooltip, 
  DataLabel 
} from "@syncfusion/ej2-vue-charts";

export default {
  components: {
    'ejs-chart': ChartComponent
  },
  provide: {
    chart: [LineSeries, Category, Legend, Tooltip, DataLabel]
  }
};
</script>

You can also refer to the Feature Modules page for the complete list of available modules and their supported features.

Note: Inject only the modules you actually use to keep the bundle size smaller.

Populate Chart with Data

This section explains how to bind JSON data to the chart.

  • Add a series object to the chart using the series property. Map the fields month and sales in the JSON data to the xName and yName properties of the series, and set the JSON data to the dataSource property.

  • Since the JSON contains category data, set the valueType for the horizontal axis to Category. By default, the axis valueType is Double.

<template>
  <div id="app">
    <ejs-chart id="container" :primaryXAxis="primaryXAxis">
      <e-series-collection>
        <e-series :dataSource='seriesData' type='Line' xName='month' yName='sales' name='Sales'></e-series>
      </e-series-collection>
    </ejs-chart>
  </div>
</template>

<script>
import { ChartComponent, SeriesCollectionDirective, SeriesDirective, LineSeries, Category } from "@syncfusion/ej2-vue-charts";

export default {
  components: {
    'ejs-chart': ChartComponent,
    'e-series-collection': SeriesCollectionDirective,
    'e-series': SeriesDirective
  },
  provide: {
    chart: [LineSeries, Category]
  },
  data() {
    return {
      seriesData: [ 
            { month: 'Jan', sales: 35 }, { month: 'Feb', sales: 28 },
            { month: 'Mar', sales: 34 }, { month: 'Apr', sales: 32 },
            { month: 'May', sales: 40 }, { month: 'Jun', sales: 32 },
            { month: 'Jul', sales: 35 }, { month: 'Aug', sales: 55 },
            { month: 'Sep', sales: 38 }, { month: 'Oct', sales: 30 },
            { month: 'Nov', sales: 25 }, { month: 'Dec', sales: 32 }
          ],
      primaryXAxis: {
        valueType: "Category"
      }
    };
  }
};
</script>

You can refer to our Vue Charts feature tour page for its groundbreaking feature representations. You can also explore our Vue Charts example that shows various chart types and how to represent time-dependent data, showing trends in data at equal intervals.